<?php

namespace Lc\CaracoleBundle\Repository\Reduction;

use Lc\CaracoleBundle\Model\Order\OrderShopInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCreditInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCreditModel;
use Lc\CaracoleBundle\Repository\Order\OrderShopStore;
use Lc\SovBundle\Model\User\UserInterface;
use Lc\SovBundle\Repository\AbstractStore;

class ReductionCreditStore extends AbstractStore
{
    protected ReductionCreditRepositoryQuery $query;

    public function __construct(
            ReductionCreditRepositoryQuery $query
    ) {
        $this->query = $query;
    }

    // findReductionCreditsByUser
    public function getByTypeAndUser(string $type = ReductionCreditModel::TYPE_CREDIT, UserInterface $user)
    {
        $query = $this->query->create();

        $query
                ->filterByType($type)
                ->filterByUser($user);

        return $query->find();
    }


}
