<?php

namespace Lc\CaracoleBundle\Repository\Ticket;

use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\SovBundle\Model\User\UserInterface;
use Lc\SovBundle\Repository\Ticket\TicketStore as SovTicketStore;

class TicketStore extends SovTicketStore
{
    use SectionStoreTrait;

    public function getByUser(UserInterface $user, $query = null): array
    {
        $query = $this->createQuery($query);
        $query->filterBySection($this->section);
        return parent::getByUser($user, $query);
    }

    public function getOpen(int $limit = 0, $query = null): array
    {
        $query = $this->createQuery($query);
        $query->filterBySection($this->section);
        return parent::getOpen($limit, $query);
    }

    public function countOpen($query = null): string
    {
        $query = $this->createQuery($query);
        $query->filterBySection($this->section);
        return parent::countOpen($query);
    }

}
