<?php

namespace Lc\CaracoleBundle\Solver\Address;

class AddressSolver
{

    // getAddressSummary
    public function getSummaryShort()
    {
        return $this->getAddress() . ' - ' . $this->getZip() . ' ' . $this->getCity();
    }

    public function getSummary($withTitle = true)
    {
        $html = '';

        if ($this->getTitle() && $withTitle) {
            $html .= $this->getTitle() . '<br />';
        }

        if ($this->getLastname() || $this->getFirstname()) {
            $html .= $this->getLastname() . ' ' . $this->getFirstname() . '<br />';
        }

        if ($this->getAddress()) {
            $html .= $this->getAddress() . '<br />';
        }

        if ($this->getZip() || $this->getCity()) {
            $html .= $this->getZip() . ' ' . $this->getCity() . '<br />';
        }

        if ($this->getPhone()) {
            foreach ($this->getPhone() as $phone) {
                $html .= 'Tél. ' . $phone . '<br />';
            }
        }

        return $html;
    }


    public function getLongitudeInherit()
    {
        if ($this->getLongitudeOverride()) {
            return $this->getLongitudeOverride();
        } else {
            return $this->getLongitude();
        }
    }


    public function getLatitudeInherit()
    {
        if ($this->getLatitudeOverride()) {
            return $this->getLatitudeOverride();
        } else {
            return $this->getLatitude();
        }
    }

}